\documentclass[tikz]{standalone}
\input{./header.tex}

\begin{document}
\begin{tikzpicture}
    % Ring 1
    \node[grAtom, c1, text = white] (c1) at (0, 0) {C1};

    % Methenyl
    \node[grAtom, c1, text = white] (c7) at ([shift=({180: \grBond})]c1) {C7};
    \node[grHatom, c1, text = white] (h7a) at ([shift=({120: \grHbond})]c7) {H7A};
    \node[grHatom, c1, text = white] (h7b) at ([shift=({-120: \grHbond})]c7) {H7B};
    \draw[grSbond, c1, text = white] (h7a) -- (c7) -- (h7b);
    \draw[grMbond, c1, text = white] (c1) -- (c7);

    % Ring 2
    \node[grAtom, c1, text = white] (c2) at ([shift=({60: \grBond})]c1) {C2};
    \node[grHatom, c1, text = white] (h2a) at ([shift=({100: \grHbond})]c2) {H2A};
    \node[grHatom, c1, text = white] (h2b) at ([shift=({140: \grHbond})]c2) {H2B};
    \draw[grSbond, c1, text = white] (h2a) -- (c2) -- (h2b);

    % Ring 3
    \node[grAtom, c1, text = white] (c3) at ([shift=({0: \grBond})]c2) {C3};
    \node[grHatom, c1, text = white] (h3a) at ([shift=({40: \grHbond})]c3) {H3A};
    \node[grHatom, c1, text = white] (h3b) at ([shift=({80: \grHbond})]c3) {H3B};
    \draw[grSbond, c1, text = white] (h3a) -- (c3) -- (h3b);

    % Ring 4
    \node[grAtom, c1, text = white] (c4) at ([shift=({-60: \grBond})]c3) {C4};
    \node[grHatom, c1, text = white] (h4) at ([shift=({60: \grHbond})]c4) {H4};
    \draw[grSbond, c1, text = white] (h4) -- (c4);

    % Carboxy
    \node[grAtom, c1, text = white] (c8) at ([shift=({0: \grBond})]c4) {C8};
    \node[grAtom, c1, text = white] (o1) at ([shift=({60: \grBond})]c8) {O1\textsuperscript{-}};
    \node[grAtom, c1, text = white] (o2) at ([shift=({-60: \grBond})]c8) {O2};
    \draw[grMbond, c1, text = white] (o1) -- (c8) -- (o2);
    \draw[grSbond, c1, text = white] (c4) -- (c8);

    % Ring 5
    \node[grAtom, c1, text = white] (c5) at ([shift=({-120: \grBond})]c4) {C5};
    \node[grHatom, c1, text = white] (h5a) at ([shift=({-40: \grHbond})]c5) {H5A};
    \node[grHatom, c1, text = white] (h5b) at ([shift=({-80: \grHbond})]c5) {H5B};
    \draw[grSbond, c1, text = white] (h5a) -- (c5) -- (h5b);

    % Ring 6
    \node[grAtom, c1, text = white] (c6) at ([shift=({180: \grBond})]c5) {C6};
    \node[grHatom, c1, text = white] (h6a) at ([shift=({-100: \grHbond})]c6) {H6A};
    \node[grHatom, c1, text = white] (h6b) at ([shift=({-140: \grHbond})]c6) {H6B};
    \draw[grSbond, c1, text = white] (h6a) -- (c6) -- (h6b);

    % Ring bonds
    \draw[grSbond, c1] (c4) -- (c3) -- (c2) -- (c1) -- (c6) -- (c5) -- (c4);
\end{tikzpicture}
\end{document}

